Name:           lcms
Version:        1.17
Release:        2
Summary:        Color Management System

Group:          Applications/Productivity
License:        MIT
URL:            http://www.littlecms.com/
Source:         http://www.littlecms.com/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  zlib-devel

Requires:  libjpeg
Requires:  libtiff >= 3.8.2
Requires:  zlib

Provides:       littlecms = %{version}-%{release}

%description
LittleCMS intends to be a small-footprint, speed optimized color management
engine in open source form.

The library is available as 32-bit and 64-bit.


%package        devel
Summary:        Development files for LittleCMS
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Provides:       littlecms-devel = %{version}-%{release}

%description    devel
Development files for LittleCMS.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="cc -q64 -qcpluscmt"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_prefix}/man \
    --enable-shared --enable-static \
    --without-python
make %{?_smp_mflags}

cp src/.libs/liblcms.so.1 .
make distclean

# now build the 32-bit version
export CC="cc -qcpluscmt"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_prefix}/man \
    --enable-shared --enable-static \
    --without-python
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q src/.libs/liblcms.a ./liblcms.so.1


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING ChangeLog NEWS README.1ST doc/TUTORIAL.TXT
%{_bindir}/*
%{_libdir}/*.a
%{_mandir}/man1/*

%files devel
%defattr(-,root,system,-)
%doc doc/LCMSAPI.TXT
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Jan 02 2008 Michael Perzl <michael@perzl.org> - 1.17-2
- included both 32-bit and 64-bit shared objects

* Tue Nov 27 2007 Michael Perzl <michael@perzl.org> - 1.17-1
- updated to v1.17

* Fri Jul 27 2007 Michael Perzl <michael@perzl.org> - 1.16-1
- updated to v1.16

* Wed Jan 04 2006 Michael Perzl <michael@perzl.org> - 1.15-1
- first version for AIX V5.1 and higher
